### Goals
- The trainee will understand what is SELinux and what is its purpose
- The trainee will know how to manage SELinux context of files
- The trainee will be familiar with the different states of SELinux
- The trainee will understand what SELinux booleans are and how to change them

### Mandatory Tasks
- Read the [coloring book](https://people.redhat.com/duffy/selinux/selinux-coloring-book_A4-Stapled.pdf) 
- Create a webserver that can access a file in your home directory
- Answer the following questions:
  - What are the possible states of SELinux and what does every one of them mean?
  - What is a context of a file in SELinux?
  - How can you see the context of a file?

### Optional Tasks
- Read [Red Hat Enterprise Linux 7 SELinux User And Administrator Guide](./Red_Hat_Enterprise_Linux-7-SELinux_Users_and_Administrators_Guide-en-US.pdf)


### References
- [A sysadmin's guide to SELinux: 42 answers to the big questions](https://opensource.com/article/18/7/sysadmin-guide-selinux)
